# Generated by go2rpm
%bcond_without check

# https://github.com/golang/build
%global goipath         golang.org/x/build
%global forgeurl        https://github.com/golang/build
%global commit          0a4bf693f6139da99647cdcccd3fd0b8a6fbfd70

%gometa

%global common_description %{expand:
Packages and tools that support Go's build system and the development
of the Go programming language.}

%global golicenses      LICENSE PATENTS
%global godocs          doc AUTHORS CONTRIBUTING.md CONTRIBUTORS README.md

Name:           %{goname}
Version:        0
Release:        0.16%{?dist}
Summary:        Packages and tools that support Go's build system

# Upstream license specification: BSD-3-Clause
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
# Fix githubdirect.issues.listcomments parameters
# to match newer github.com/google/go-github
Patch0:         0001-Fix-githubdirect.issues.listcomments-parameters.patch

BuildRequires:  golang(cloud.google.com/go/bigquery)
BuildRequires:  golang(cloud.google.com/go/compute/metadata)
BuildRequires:  golang(cloud.google.com/go/datastore)
BuildRequires:  golang(cloud.google.com/go/errorreporting)
BuildRequires:  golang(cloud.google.com/go/monitoring/apiv3)
BuildRequires:  golang(cloud.google.com/go/pubsub)
BuildRequires:  golang(cloud.google.com/go/secretmanager/apiv1)
BuildRequires:  golang(cloud.google.com/go/storage)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/credentials)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/ec2metadata)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/request)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/session)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/ec2)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/servicequotas)
BuildRequires:  golang(github.com/bradfitz/go-smtpd/smtpd)
BuildRequires:  golang(github.com/coreos/go-systemd/activation)
BuildRequires:  golang(github.com/coreos/go-systemd/daemon)
BuildRequires:  golang(github.com/gliderlabs/ssh)
BuildRequires:  golang(github.com/golang/protobuf/proto)
BuildRequires:  golang(github.com/golang/protobuf/ptypes)
BuildRequires:  golang(github.com/golang/protobuf/ptypes/timestamp)
BuildRequires:  golang(github.com/google/go-github/github)
BuildRequires:  golang(github.com/google/go-github/v33/github)
BuildRequires:  golang(github.com/google/uuid)
BuildRequires:  golang(github.com/googleapis/gax-go/v2)
BuildRequires:  golang(github.com/gregjones/httpcache)
BuildRequires:  golang(github.com/jellevandenhooff/dkim)
BuildRequires:  golang(github.com/kr/pty)
BuildRequires:  golang(github.com/NYTimes/gziphandler)
BuildRequires:  golang(github.com/sendgrid/sendgrid-go)
BuildRequires:  golang(github.com/sendgrid/sendgrid-go/helpers/mail)
BuildRequires:  golang(go4.org/strutil)
BuildRequires:  golang(go4.org/syncutil)
BuildRequires:  golang(go4.org/types)
BuildRequires:  golang(golang.org/x/crypto/acme)
BuildRequires:  golang(golang.org/x/crypto/acme/autocert)
BuildRequires:  golang(golang.org/x/crypto/ssh)
BuildRequires:  golang(golang.org/x/net/context/ctxhttp)
BuildRequires:  golang(golang.org/x/net/http2)
BuildRequires:  golang(golang.org/x/oauth2)
BuildRequires:  golang(golang.org/x/oauth2/google)
BuildRequires:  golang(golang.org/x/perf/storage)
BuildRequires:  golang(golang.org/x/sync/errgroup)
BuildRequires:  golang(golang.org/x/text/collate)
BuildRequires:  golang(golang.org/x/text/language)
BuildRequires:  golang(golang.org/x/time/rate)
BuildRequires:  golang(google.golang.org/api/compute/v1)
BuildRequires:  golang(google.golang.org/api/container/v1)
BuildRequires:  golang(google.golang.org/api/deploymentmanager/v2)
BuildRequires:  golang(google.golang.org/api/googleapi)
BuildRequires:  golang(google.golang.org/api/iterator)
BuildRequires:  golang(google.golang.org/api/oauth2/v2)
BuildRequires:  golang(google.golang.org/api/option)
BuildRequires:  golang(google.golang.org/genproto/googleapis/api/label)
BuildRequires:  golang(google.golang.org/genproto/googleapis/api/metric)
BuildRequires:  golang(google.golang.org/genproto/googleapis/cloud/secretmanager/v1)
BuildRequires:  golang(google.golang.org/genproto/googleapis/monitoring/v3)
BuildRequires:  golang(google.golang.org/grpc)
BuildRequires:  golang(google.golang.org/grpc/codes)
BuildRequires:  golang(google.golang.org/grpc/credentials)
BuildRequires:  golang(google.golang.org/grpc/metadata)
BuildRequires:  golang(google.golang.org/grpc/status)
BuildRequires:  golang(gopkg.in/inf.v0)
BuildRequires:  golang(grpc.go4.org)
BuildRequires:  golang(grpc.go4.org/codes)

%if %{with check}
# Tests
BuildRequires:  golang(cloud.google.com/go/pubsub/pstest)
BuildRequires:  golang(github.com/davecgh/go-spew/spew)
BuildRequires:  golang(github.com/google/go-cmp/cmp)
BuildRequires:  golang(github.com/google/go-cmp/cmp/cmpopts)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
%patch0 -p1
sed -i 's|github.com/google/go-github/v28|github.com/google/go-github/v33|' $(find . -iname "*.go" -type f)
# Remove maintserve because it pulls extra dependencies (shurcooL)
rm -rf maintner/cmd/maintserve

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck -d cloudfns/sendwikidiff \
         -d cmd/coordinator  \
         -d maintner/godata  \
         -t maintner/maintnerd
%endif

%files
%license LICENSE PATENTS
%doc doc AUTHORS CONTRIBUTING.md CONTRIBUTORS README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Tue Dec 29 16:00:09 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.16.20201229git0a4bf69
- Bump to commit 0a4bf693f6139da99647cdcccd3fd0b8a6fbfd70

* Fri Sep 04 22:23:54 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.15.20200904git301a72c
- Bump to commit 301a72cb1ab6c95414686a16f34ebe2bef25b689

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.14
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu May 30 18:50:31 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.10.20190530git9ed2440
- Bump to commit 9ed24406dee1f593f40f852f27f1092bd20d5852

* Sun Mar 10 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.9.20190226git269e03a
- Remove maintner/cmd/maintserve

* Sat Mar 09 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.8.20190226git269e03a
- Unbootstrap

* Tue Feb 26 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.7.20190226git269e03a
- Bump to commit 269e03abe74bc43b688741a36205f5ca91dffce6

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.6.git57258c5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Oct 26 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.5.20181026git57258c5
- Bump to commit 57258c564e6f790b19d257469cced6b6ab47f38c

* Thu Jul 19 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.4.20180719git0d6a646
- Bump to commit 0d6a6460c5f4e4635dc491e7226fc7cc133f9c34

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.3.git0da8e46
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Mar 21 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.2-20180509git0da8e46
- Unboostrap

* Wed Mar 21 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1-20180421git86f50f0
- First package for Fedora

